Package com.databricks.jdbc.common

## Enum AuthMech

- java.lang.Object
- - java.lang.Enum<AuthMech>
  - - com.databricks.jdbc.common.AuthMech

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthMech>`

    public enum AuthMech
    extends Enum<AuthMech>

### Enum Constant Summary

Enum Constants
`OAUTH`
`OTHER`
`PAT`

### Method Summary

All Methods Static Methods Concrete Methods
`static AuthMech` `parseAuthMech​(String authMech)`
`static AuthMech` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AuthMech[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OTHER

    public static final AuthMech OTHER

#### PAT

    public static final AuthMech PAT

#### OAUTH

    public static final AuthMech OAUTH

### Method Detail

#### values

    public static AuthMech[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthMech c : AuthMech.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthMech valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### parseAuthMech

    public static AuthMech parseAuthMech​(String authMech)